﻿@model List<VirtualCarGarage.MVC.Models.CarViewModel>;
@using Microsoft.AspNetCore.Identity
@using VirtualCarGarage.Data.Models

@inject SignInManager<User> SignInManager
@inject UserManager<User> UserManager

@{ ViewData["Title"] = "Index"; }
@{ Layout = "~/Views/Shared/_Layout.cshtml"; }


@if (User.IsInRole("Customer"))
{
<div class="container mt-3">
    <div class="text-center">
        <h1 class="text-dark font-weight-bolder">My Cars</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.First().CarId)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.First().LicensePlate)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.First().YearOfManufacture)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.First().CarIDNumber)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.First().OwnerName)
                    </th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model)
                {
<tr>
    <td>
        @Html.DisplayFor(modelItem => item.CarId)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.LicensePlate)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.YearOfManufacture)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.CarIDNumber)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.OwnerName)
    </td>
    <td>
        <a asp-action="Details" asp-route-id="@item.CarId">Details</a>
    </td>
</tr>
}
            </tbody>
        </table>
    </div>
    <div class="text-center">
        <a asp-controller="Home" asp-action="Index" class="btn btn-primary">Back</a>
    </div>
</div>  }
@if (User.IsInRole("Admin"))
{
<div class="container mt-3">
    <div class="text-center">
        <h1 class="text-dark font-weight-bolder">Cars</h1>

        <p>
            <a class="text-primary font-weight-bolder" asp-action="Create">Create</a>
        </p>
        <table class="table">
            <thead>
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.First().CarId)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.First().LicensePlate)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.First().YearOfManufacture)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.First().CarIDNumber)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.First().OwnerName)
                    </th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model)
                {
<tr>
    <td>
        @Html.DisplayFor(modelItem => item.CarId)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.LicensePlate)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.YearOfManufacture)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.CarIDNumber)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.OwnerName)
    </td>
    <td>
        <a asp-action="Edit" asp-route-id="@item.CarId">Edit</a> |
        <a asp-action="Details" asp-route-id="@item.CarId">Details</a> |
        <a asp-action="Delete" asp-route-id="@item.CarId">Delete</a>
    </td>
</tr>}
            </tbody>
        </table>
    </div>
</div>
                <div class="text-center">
                    <a asp-controller="Home" asp-action="Index" class="btn btn-primary">Back</a>
                </div>
                }




